.competenceStaticTree, .competenceStaticTree ul {
    margin:0;
    padding:0;
    list-style:none
}
.competenceStaticTree ul {
    margin-left:1em;
    position:relative
}
.competenceStaticTree ul ul {
    margin-left:.5em
}
.competenceStaticTree ul:before {
    content:"";
    display:block;
    width:0;
    position:absolute;
    top:0;
    bottom:0;
    left:0;
    border-left:1px solid
}
.competenceStaticTree li {
    margin:0;
    padding:0 1em;
    line-height:2em;
    color: var(--bs-body-color);
    font-weight:700;
    position:relative
}
.competenceStaticTree ul li:before {
    content:"";
    display:block;
    width:10px;
    height:0;
    border-top:1px solid;
    margin-top:-1px;
    position:absolute;
    top:1em;
    left:0
}
.competenceStaticTree ul li:last-child:before {
    background: var(--bs-body-bg);
    height:auto;
    top:1em;
    bottom:0
}
.indicator {
    margin-right:5px;
}
.competenceStaticTree li a {
    text-decoration: none;
    color:#369;
}
.competenceStaticTree li button, .competenceStaticTree li button:active, .competenceStaticTree li button:focus {
    text-decoration: none;
    color:#369;
    border:none;
    background:transparent;
    margin:0px 0px 0px 0px;
    padding:0px 0px 0px 0px;
    outline: 0;
}

.competenceDynamicTree, .competenceDynamicTree ul {
    margin:0;
    padding:0;
    list-style:none
}
.competenceDynamicTree ul {
    margin-left:1em;
    position:relative
}
.competenceDynamicTree ul ul {
    margin-left:.5em
}
.competenceDynamicTree ul:before {
    content:"";
    display:block;
    width:0;
    position:absolute;
    top:0;
    bottom:0;
    left:0;
    border-left:1px solid
}
.competenceDynamicTree li {
    margin:0;
    padding: 0.04em 0em 0.1em 0.7em;
    line-height:2em;
    color:#369;
    font-weight:700;
    position:relative;
}
.competenceDynamicTree ul li:before {
    content:"";
    display:block;
    width:10px;
    height:0;
    border-top:1px solid;
    margin-top:-1px;
    position:absolute;
    top:1em;
    left:0
}
.competenceDynamicTree ul li:last-child:before {
    background: var(--bs-body-bg);
    height:auto;
    top:1em;
    bottom:0
}
.indicator {
    margin-right:5px;
}
.competenceDynamicTree li a {
    text-decoration: none;
    color:#369;
}
.competenceDynamicTree li button, .competenceDynamicTree li button:active, .competenceDynamicTree li button:focus {
    text-decoration: none;
    color:#369;
    border:none;
    background:transparent;
    margin:0px 0px 0px 0px;
    padding:0px 0px 0px 0px;
    outline: 0;
}

.competenceDynamicTree table {
    background: var(--bs-body-bg);
    table-layout: fixed;
    color: #333;
    border-radius: 10px;
    font-size: small;
    font-weight: normal;
    width: 100%;
    margin-top: 0.1%;
    margin-bottom: 0;
    line-height: normal;
}

.competenceDynamicTree .treeHeading {
    background: #EE7023;
    padding: 10px;
    width: 25%;
    color: #fff;
    border-radius: 10px;
    border-top: 1px white;
    cursor: pointer;
}

.firstLevel{
	background: #EE7023;
}

.firstLevel:hover {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.secondLevel{
	background: #EE7023;
}

.secondLevel:hover {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.thirdLevel{
	background: #EE7023;
}

.thirdLevel:hover {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.competenceDynamicTree .treeDescription {
    width: 75%;
    padding: 10px;
    border-top: 1px white;
    white-space: pre-wrap;
}

.competenceDynamicTree .leafHeading {
	background: #EE7023;
	padding: 10px;
	color: #fff;
	padding-left: 10px;
	padding-right: 10px;
	border-radius: 10px;
    cursor: pointer;
    border-top: 1px white;
}

.competenceDynamicTree .leafHeading:hover {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.leafActive {
    background: #00B050 !important;
}

.competenceDynamicTree .leafDescription {
    padding-left: 10px;
    padding-right: 10px;
    background: var(--bs-body-bg);
    border-top: 1px white;
    white-space:pre-wrap;
}

.leafDescriptionTD {
    vertical-align:top;
    background: var(--bs-body-bg);
}

.competenceDynamicTree .indicator {
    cursor: pointer;
}

.leafMargin {
    margin-left: 2px;
}

.treeActive {
    background: #00B050 !important;
}